SymbologyConfiguration.BarcodeSymbologyID

com.zebra.adc.decoder

## Enum SymbologyConfiguration.BarcodeSymbologyID

- java.lang.Object
- - java.lang.Enum<SymbologyConfiguration.BarcodeSymbologyID>
  - - com.zebra.adc.decoder.SymbologyConfiguration.BarcodeSymbologyID

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<SymbologyConfiguration.BarcodeSymbologyID>
  Enclosing class:
    SymbologyConfiguration

      public static enum SymbologyConfiguration.BarcodeSymbologyID
      extends java.lang.Enum<SymbologyConfiguration.BarcodeSymbologyID>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `SYM_ALL` All Symbologies
    `SYM_AUSPOST` Australian Post [2D Postal]
    `SYM_AZTEC` Aztec Code
    `SYM_BPO` British Post [2D Postal]
    `SYM_CANPOST` Canadian Post [2D Postal]
    `SYM_CHINAPOST` China Post
    `SYM_CODABAR` Codabar
    `SYM_CODABLOCK` Codablock F
    `SYM_CODE11` Code 11
    `SYM_CODE128` Code 128
    `SYM_CODE32` Code 32 Italian Pharmacy Code
    `SYM_CODE39` Code 39
    `SYM_CODE93` Code 93
    `SYM_COMPOSITE` EAN?UCC Composite
    `SYM_COUPONCODE` Coupon Code
    `SYM_DATAMATRIX` Data Matrix
    `SYM_DUTCHPOST` KIX (Netherlands) Post [2D Postal]
    `SYM_EAN13` EAN-13
    `SYM_EAN8` EAN-8
    `SYM_GRIDMATRIX` Grid Matrix
    `SYM_GS1_128` GS1 128
    `SYM_HANXIN` Hanxin
    `SYM_IATA25` Straight 2 of 5 IATA (two-bar start/stop)
    `SYM_IDTAG` UPU 4 State [2D Postal]
    `SYM_INT25` Interleaved 2 of 5
    `SYM_ISBT` ISBT 128
    `SYM_JAPOST` Japanese Post [2D Postal]
    `SYM_KOREAPOST` Korean Post
    `SYM_MATRIX25` Matrix 2 of 5
    `SYM_MAXICODE` Maxicode
    `SYM_MICROPDF` Micro PDF
    `SYM_MSI` MSI
    `SYM_PDF417` PDF417
    `SYM_PLANET` Planet Code [2D Postal]
    `SYM_POSTALS` Used to default and disable postal codes
    `SYM_QR` QR Code
    `SYM_RSS` Reduced Space Symbology (RSS-14, RSS Limited, RSS Expanded)
    `SYM_STRT25` Straight 2 of 5 Industrial (three-bar start/stop)
    `SYM_TELEPEN` Telepen
    `SYM_TLCODE39` TCIF Linked Code 39 (TLC39)
    `SYM_TRIOPTIC` Trioptic Code
    `SYM_UPCA` UPC-A
    `SYM_UPCE0` UPC-E0
    `SYM_UPCE1` UPC-E1
    `SYM_US_POSTALS1` Used to enable SYM_PLANET, SYM_POSTNET, SYM_USPS4CB & SYM_IDTAG
    `SYM_USPS4CB` USPS 4 State (Intelligent Mail Barcode) [2D Postal]
    `SYMBOLOGIES` Number of Symbologies

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SymbologyConfiguration.BarcodeSymbologyID` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SymbologyConfiguration.BarcodeSymbologyID[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SYM_AZTEC

          public static final SymbologyConfiguration.BarcodeSymbologyID SYM_AZTEC

      Aztec Code

    - #### SYM_CODABAR

          public static final SymbologyConfiguration.BarcodeSymbologyID SYM_CODABAR

      Codabar

    - #### SYM_CODE11

          public static final SymbologyConfiguration.BarcodeSymbologyID SYM_CODE11

      Code 11

    - #### SYM_CODE128

          public static final SymbologyConfiguration.BarcodeSymbologyID SYM_CODE128

      Code 128

    - #### SYM_CODE39

          public static final SymbologyConfiguration.BarcodeSymbologyID SYM_CODE39

      Code 39

    - #### SYM_CODE93

          public static final SymbologyConfiguration.BarcodeSymbologyID SYM_CODE93

      Code 93

    - #### SYM_COMPOSITE

          public static final SymbologyConfiguration.BarcodeSymbologyID SYM_COMPOSITE

      EAN?UCC Composite

    - #### SYM_DATAMATRIX

          public static final SymbologyConfiguration.BarcodeSymbologyID SYM_DATAMATRIX

      Data Matrix

    - #### SYM_EAN8

          public static final SymbologyConfiguration.BarcodeSymbologyID SYM_EAN8

      EAN-8

    - #### SYM_EAN13

          public static final SymbologyConfiguration.BarcodeSymbologyID SYM_EAN13

      EAN-13

    - #### SYM_INT25

          public static final SymbologyConfiguration.BarcodeSymbologyID SYM_INT25

      Interleaved 2 of 5

    - #### SYM_MAXICODE

          public static final SymbologyConfiguration.BarcodeSymbologyID SYM_MAXICODE

      Maxicode

    - #### SYM_MICROPDF

          public static final SymbologyConfiguration.BarcodeSymbologyID SYM_MICROPDF

      Micro PDF

    - #### SYM_PDF417

          public static final SymbologyConfiguration.BarcodeSymbologyID SYM_PDF417

      PDF417

    - #### SYM_QR

          public static final SymbologyConfiguration.BarcodeSymbologyID SYM_QR

      QR Code

    - #### SYM_RSS

          public static final SymbologyConfiguration.BarcodeSymbologyID SYM_RSS

      Reduced Space Symbology (RSS-14, RSS Limited, RSS Expanded)

    - #### SYM_UPCA

          public static final SymbologyConfiguration.BarcodeSymbologyID SYM_UPCA

      UPC-A

    - #### SYM_UPCE0

          public static final SymbologyConfiguration.BarcodeSymbologyID SYM_UPCE0

      UPC-E0

    - #### SYM_UPCE1

          public static final SymbologyConfiguration.BarcodeSymbologyID SYM_UPCE1

      UPC-E1

    - #### SYM_ISBT

          public static final SymbologyConfiguration.BarcodeSymbologyID SYM_ISBT

      ISBT 128

    - #### SYM_BPO

          public static final SymbologyConfiguration.BarcodeSymbologyID SYM_BPO

      British Post [2D Postal]

    - #### SYM_CANPOST

          public static final SymbologyConfiguration.BarcodeSymbologyID SYM_CANPOST

      Canadian Post [2D Postal]

    - #### SYM_AUSPOST

          public static final SymbologyConfiguration.BarcodeSymbologyID SYM_AUSPOST

      Australian Post [2D Postal]

    - #### SYM_IATA25

          public static final SymbologyConfiguration.BarcodeSymbologyID SYM_IATA25

      Straight 2 of 5 IATA (two-bar start/stop)

    - #### SYM_CODABLOCK

          public static final SymbologyConfiguration.BarcodeSymbologyID SYM_CODABLOCK

      Codablock F

    - #### SYM_JAPOST

          public static final SymbologyConfiguration.BarcodeSymbologyID SYM_JAPOST

      Japanese Post [2D Postal]

    - #### SYM_PLANET

          public static final SymbologyConfiguration.BarcodeSymbologyID SYM_PLANET

      Planet Code [2D Postal]

    - #### SYM_DUTCHPOST

          public static final SymbologyConfiguration.BarcodeSymbologyID SYM_DUTCHPOST

      KIX (Netherlands) Post [2D Postal]

    - #### SYM_MSI

          public static final SymbologyConfiguration.BarcodeSymbologyID SYM_MSI

      MSI

    - #### SYM_TLCODE39

          public static final SymbologyConfiguration.BarcodeSymbologyID SYM_TLCODE39

      TCIF Linked Code 39 (TLC39)

    - #### SYM_TRIOPTIC

          public static final SymbologyConfiguration.BarcodeSymbologyID SYM_TRIOPTIC

      Trioptic Code

    - #### SYM_CODE32

          public static final SymbologyConfiguration.BarcodeSymbologyID SYM_CODE32

      Code 32 Italian Pharmacy Code

    - #### SYM_STRT25

          public static final SymbologyConfiguration.BarcodeSymbologyID SYM_STRT25

      Straight 2 of 5 Industrial (three-bar start/stop)

    - #### SYM_MATRIX25

          public static final SymbologyConfiguration.BarcodeSymbologyID SYM_MATRIX25

      Matrix 2 of 5

    - #### SYM_CHINAPOST

          public static final SymbologyConfiguration.BarcodeSymbologyID SYM_CHINAPOST

      China Post

    - #### SYM_KOREAPOST

          public static final SymbologyConfiguration.BarcodeSymbologyID SYM_KOREAPOST

      Korean Post

    - #### SYM_TELEPEN

          public static final SymbologyConfiguration.BarcodeSymbologyID SYM_TELEPEN

      Telepen

    - #### SYM_COUPONCODE

          public static final SymbologyConfiguration.BarcodeSymbologyID SYM_COUPONCODE

      Coupon Code

    - #### SYM_USPS4CB

          public static final SymbologyConfiguration.BarcodeSymbologyID SYM_USPS4CB

      USPS 4 State (Intelligent Mail Barcode) [2D Postal]

    - #### SYM_IDTAG

          public static final SymbologyConfiguration.BarcodeSymbologyID SYM_IDTAG

      UPU 4 State [2D Postal]

    - #### SYM_GS1_128

          public static final SymbologyConfiguration.BarcodeSymbologyID SYM_GS1_128

      GS1 128

    - #### SYM_HANXIN

          public static final SymbologyConfiguration.BarcodeSymbologyID SYM_HANXIN

      Hanxin

    - #### SYM_GRIDMATRIX

          public static final SymbologyConfiguration.BarcodeSymbologyID SYM_GRIDMATRIX

      Grid Matrix

    - #### SYM_POSTALS

          public static final SymbologyConfiguration.BarcodeSymbologyID SYM_POSTALS

      Used to default and disable postal codes

    - #### SYM_US_POSTALS1

          public static final SymbologyConfiguration.BarcodeSymbologyID SYM_US_POSTALS1

      Used to enable SYM_PLANET, SYM_POSTNET, SYM_USPS4CB & SYM_IDTAG

    - #### SYMBOLOGIES

          public static final SymbologyConfiguration.BarcodeSymbologyID SYMBOLOGIES

      Number of Symbologies

    - #### SYM_ALL

          public static final SymbologyConfiguration.BarcodeSymbologyID SYM_ALL

      All Symbologies

  - ### Method Detail

    - #### values

          public static SymbologyConfiguration.BarcodeSymbologyID[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SymbologyConfiguration.BarcodeSymbologyID c : SymbologyConfiguration.BarcodeSymbologyID.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SymbologyConfiguration.BarcodeSymbologyID valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null